#!/bin/bash
# Script to be launched asynchroneously:  # progression_bar.sh &
#Progression bar until the process "/Resources/Esmeralda" (not /MacOS/Esmeralda4Mac) receives a PID
#This is usefull since the GateKeeper validation process may be quite long

# echo ".\c"  # <-- sh
# echo -n "." # <-- bash

delay=60  # seconds
counter=0
while [ $counter -le $delay ]
do
  PID=$(ps -ceo pid=,comm= | grep -v "[E]smeralda4Mac" | grep "[E]smeralda" | awk '{print $1}')
  # why square brakets ? The string "Esmeralda" no longer appears in the grep command.
  # Hence, grep itself won't show up in the grep result. i.e. the PID of the grep process is not returned
  if [ -z "$PID"  -o "$PID" == $$ ]; then
    # do echo ".\c";  # sh
    echo -n ".";      # bash
  else
    echo -e "\nEsmeralda launched with PID = $PID"
    echo $(ps awx | awk -v myPID=$PID '$1 == myPID { print $5 }')
    break
  fi
  ((counter++))
  sleep 1;
done
echo ""
if [ -z "$PID" ]; then
  echo "Esmeralda presumably failed to launch within $delay seconds!"
fi

